assessSpikeIn {affycomp} | R Documentation

## Assessment functions for Spike In Data

### Description

These functions are assessment functoions. Each takes an `exprSet-class` and returns a list with necessary information to create assessment plots.

### Usage

    assessSpikeIn(s,method.name=NULL,verbose=TRUE)

    assessMA(exprset,method.name=NULL)
    assessSignal(exprset,method.name=NULL)
    assessFC(exprset,method.name=NULL)
    assessFC2(exprset,method.name=NULL)

### Arguments

`s` | An `exprSet-class` containing exrpession measures for Affymetrix's spike-in experiment.
`exprset` | An `exprSet-class` containing exrpession measures for Affymetrix's spike-in experiment.
`method.name` | Name of expression measure being assessed.
`verbose` | logical. If `TRUE` show messages.

### Details

`assessMA` performs the assessment for the MA-plot (Figure 1), `assessSignal` performs the assessment for signal detection plot (Figure 4a), `assessFC` perfomrs assessments used by fold-change related plots (Figures 5a, 6a, 6b). `assessFC2` is for the ROC for genes with nominal fold changes of 2 (Figure 5b). `assessSpikeIn` is a wrapper for all these and returns a list of lists.

### Value

Lists with the necessary information to make the Figures.

### Author(s)

Rafael A. Irizarry

[Package affycomp version 1.14.0 Index]